Go to the latest version of this document.

# ``twisted`.`protocols`.`amp`.`AmpError``

exception documentation

`class AmpError(Exception): (source)`

Known subclasses: `twisted.protocols.amp.BadLocalReturn`, `twisted.protocols.amp.IncompatibleVersions`, `twisted.protocols.amp.InvalidSignature`, `twisted.protocols.amp.MalformedAmpBox`, `twisted.protocols.amp.NoEmptyBoxes`, `twisted.protocols.amp.OnlyOneTLS`, `twisted.protocols.amp.RemoteAmpError`, `twisted.protocols.amp.TooLong`, `twisted.protocols.amp.UnhandledCommand`

View In Hierarchy

Base class of all Amp-related exceptions.